# Generated by Django 2.2.19 on 2021-04-20 21:44
from django.conf import settings
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion
import kinder.core.common


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('smev3_v321', '0002_attachmentrequest'),
    ]

    operations = [
        migrations.CreateModel(
            name='ESNSIClassifier',
            fields=[
                ('id',
                 models.AutoField(auto_created=True,
                                  primary_key=True,
                                  serialize=False,
                                  verbose_name='ID')),
                ('uid',
                 models.CharField(
                     blank=True,
                     max_length=36,
                     null=True,
                     verbose_name='Уникальный идентификатор классификатора')),
                ('code',
                 models.CharField(blank=True,
                                  max_length=100,
                                  null=True,
                                  verbose_name='Код классификатора')),
                ('name',
                 models.CharField(default='',
                                  max_length=250,
                                  verbose_name='Наименование справочника')),
                ('classifier_class',
                 models.CharField(choices=[
                     ('UnitClassifier', 'Организации (детсады)'),
                     ('MaxDooClassifier',
                      'Максимальное количество детсадов, которое может выбрать заявитель'
                      )
                 ],
                                  default='',
                                  max_length=50,
                                  unique=True,
                                  verbose_name='Класс классификатора')),
            ],
            options={
                'verbose_name': 'Справочник для передачи в ЕСНСИ (СМЭВ 3)',
                'verbose_name_plural':
                'Справочник для передачи в ЕСНСИ (СМЭВ 3)',
                'db_table': 'concentrator_smev3_v321_esnsiclassifier',
            },
        ),
        migrations.CreateModel(
            name='UpdateClassifierRequest',
            fields=[
                ('id',
                 models.AutoField(auto_created=True,
                                  primary_key=True,
                                  serialize=False,
                                  verbose_name='ID')),
                ('created',
                 models.DateTimeField(auto_now_add=True,
                                      db_index=True,
                                      null=True,
                                      verbose_name='Создан')),
                ('modified',
                 models.DateTimeField(auto_now=True,
                                      db_index=True,
                                      null=True,
                                      verbose_name='Изменен')),
                ('external_id',
                 models.CharField(blank=True,
                                  db_index=True,
                                  max_length=32,
                                  null=True)),
                ('message_id',
                 models.UUIDField(blank=True,
                                  null=True,
                                  verbose_name='Идентификатор сообщения')),
                ('message_status',
                 models.PositiveSmallIntegerField(
                     choices=[(0, 'Создано'), (1, 'Отправлено'),
                              (2, 'Получен ответ'),
                              (3, 'Получен некорректный ответ'),
                              (4, 'Отменен'), (5, 'Ошибка'),
                              (6, 'Переотправлен')],
                     default=0,
                     verbose_name='Статус сообщения')),
                ('response',
                 models.TextField(blank=True, null=True,
                                  verbose_name='Ответ')),
                ('request_result',
                 models.PositiveSmallIntegerField(blank=True,
                                                  choices=[(1, 'Успешно'),
                                                           (2, 'Ошибка')],
                                                  null=True,
                                                  verbose_name='Результат')),
                ('request_sent',
                 models.DateTimeField(blank=True,
                                      null=True,
                                      verbose_name='Дата и время запроса')),
                ('response_returned',
                 models.DateTimeField(blank=True,
                                      null=True,
                                      verbose_name='Дата и время ответа')),
                ('request_type',
                 models.CharField(choices=[
                     ('update', 'Обновление данных справочника'),
                     ('delete', 'Удаление данных справочника')
                 ],
                                  max_length=32,
                                  verbose_name='Тип запроса')),
                ('data',
                 django.contrib.postgres.fields.jsonb.JSONField(
                     verbose_name='Данные запроса')),
                ('classifier',
                 models.ForeignKey(blank=True,
                                   null=True,
                                   on_delete=django.db.models.deletion.CASCADE,
                                   to='smev3_v321.ESNSIClassifier')),
                ('user',
                 models.ForeignKey(
                     blank=True,
                     null=True,
                     on_delete=models.SET(
                         kinder.core.common.get_sentinel_user),
                     to=settings.AUTH_USER_MODEL,
                     verbose_name='Пользователь, инициировавший запрос')),
            ],
            options={
                'verbose_name': 'Запрос на обновление данных в ЕСНСИ (СМЭВ 3)',
                'verbose_name_plural':
                'Запросы на обновление данных в ЕСНСИ (СМЭВ 3)',
                'db_table': 'concentrator_smev3_v321_updateclassifierrequest',
            },
        ),
    ]
