# Generated by Django 3.2.23 on 2024-10-29 14:52

from django.db import migrations

from concentrator.smev3_v321.esnsi.classifiers import EduControlUnitClassifier


def forwards(apps, schema_editor):
    """
    Добавление типа справочника "Органы управления образованием"
    """
    ESNSIClassifier = apps.get_model('smev3_v321', 'ESNSIClassifier')

    ESNSIClassifier.objects.get_or_create(
        name=EduControlUnitClassifier.__doc__,
        classifier_class=EduControlUnitClassifier.__name__
    )


def backwards(apps, schema_editor):
    """
    Удаляем добавленный тип справочника
    """
    ESNSIClassifier = apps.get_model('smev3_v321', 'ESNSIClassifier')

    ESNSIClassifier.objects.filter(
        classifier_class=EduControlUnitClassifier.__name__
    ).delete()


class Migration(migrations.Migration):

    dependencies = [
        ('smev3_v321', '0018_alter_esnsiclassifier_classifier_class'),
    ]

    operations = [
        migrations.RunPython(forwards, backwards),
    ]
